section \<open>Some theory\<close>

theory Test
  imports Main
begin

subsection \<open>Some definitions\<close>

definition a :: nat where "a = 1"
definition %important b :: nat where "b = 2"
definition c :: nat where "c = 3"


subsection \<open>Some theorems and proofs\<close>

\<comment> \<open>comment 1\<close>

theorem test1: "a \<noteq> b"
proof -
  show ?thesis
    by (simp add: a_def b_def)
qed

\<comment> \<open>comment 2\<close>

theorem %important test2: "a \<noteq> c"
  \<comment> \<open>comment 3\<close>
proof -
  show ?thesis
    by (simp add: a_def c_def)
qed

\<comment> \<open>comment 4\<close>

theorem %important test3: "b \<noteq> c"
proof %unimportant -
  show ?thesis
    by (simp add: b_def c_def)
qed

\<comment> \<open>comment 5\<close>

end
